#ifdef _VERTEX_

void main()
{
    gl_Position = ftransform();
    gl_TexCoord[0] = gl_MultiTexCoord0;
}

#else

void main()
{
    vec3  point = GetSurfacePoint();
    vec2  texCoord = gl_TexCoord[0].xy * scaleParams.z + scaleParams.xy;
    float height = texture2D(NormalMap, texCoord).a;
    gl_FragColor = vec4(GetSurfaceColor(height, 1.0).rgb * height, height);
}

#endif
